% initialise
clear all
clf

% load data
coordinates = load('coordinates.dat');
bdry = load('bdry.dat');
data = load('elements.dat');
elements = data(:,1:2);

H = data(:,3)/100; % scale to [m]
W = data(:,4)/100; % scale to [m]

E = 2e+8;   % elasticity module [N/m^2]
NU = 0.3;   % Poisson ratio
RHO = 8250; % specific weight   [kg/m^3]



%Assemble Stiffness- and Mass-Matrix
[A,B] = assemble(coordinates, elements, H, W, E, NU, RHO);
figure(2)
spy(A)

% consider bdry --> determine freenodes
freenodes = 1:6*size(coordinates,1);
for j=1:length(bdry)
  % !!! TO DO !!!
end

A = A(freenodes,freenodes); 
B = B(freenodes,freenodes);

% compute eigenvalues and eigenvectors and sort them
% !!! TO DO !!!


% select k'th largest eigenvalue
k = 4;

% Extract displacement u
scal = 8; % scaling factor
% !!! TO DO !!!


% Display Results
f1 = figure('Position',[1,1,600,800]);
axes1 = axes('Parent',f1,'Position',[0.13 0.01 0.775 1]);
axis tight
set(gca,'nextplot','replacechildren');


nFrames = 201;                     % ADJUST
phi = linspace(0,2*pi,nFrames);   % ADJUST
t =sin(phi);


for ell = 1:nFrames
  % plot edges and vertices
  % !!! TO DO !!!

  % plot displacement
  % !!! TO DO !!!

  % Make figure look nice
  view(-40,10); axis equal; axis off
  xlim([-10,10]); ylim([-10,10]); zlim([-50,2])

  % record frame for movie
  F(ell) = getframe(f1);
end

save('F.mat', 'F')

% play movie
hf = figure; 
set(hf, 'position', [1,1,600,800]);
movie(hf,F,4,30);

